/*
 * Copyright 2011 Waki Takeya
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.develop.gae.command.exception;

import jp.develop.gae.command.Result;

/**
 * Base exception for application.
 * @author Waki Takeya
 */
public class ApplicationException extends RuntimeException {

	private static final long serialVersionUID = 2911978475132910908L;

	private int code;
	public ApplicationException(String message) {
		super(message);
		this.code = Result.ERROR_APPLICATION;
	}

	public ApplicationException(int code, String message) {
		super(message);
		this.code = Math.max(Result.ERROR_APPLICATION, code);
	}

	public ApplicationException(String message, Throwable cause) {
		super(message, cause);
		this.code = Result.ERROR_APPLICATION;
	}

	public ApplicationException(int code, String message, Throwable cause) {
		super(message, cause);
		this.code = Math.max(Result.ERROR_APPLICATION, code);
	}

	public int getCode() {
		return code;
	}
}
