/*
 * Copyright 2011 Waki Takeya
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package jp.develop.gae.command.sample;

import java.math.BigDecimal;
import java.util.List;

import jp.develop.gae.command.ICommand;

/**
 * Sample command, which return the sum of values.
 * @author Waki Takeya
 */
public class SumCommand implements ICommand<BigDecimal> {

	/** values to be added. */
	public List<BigDecimal> values;

	@Override
	public BigDecimal execute() {
		BigDecimal result = BigDecimal.ZERO;
		for (BigDecimal value : this.values) {
			result = result.add(value);
		}
		return result;
	}
}
